| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ReplayOutputStream::OutStreamTrigger Class Reference

Helper class to call the required OutputStream. More...

Collaboration diagram for ReplayOutputStream::OutStreamTrigger:
[legend]

## Public Member Functions
| OutStreamTrigger (ReplayOutputStream *ptr)
void | operator() (const std::string &name) const

## Private Attributes
ReplayOutputStream * | m_ptr

## Detailed Description

Helper class to call the required OutputStream.

Definition at line 51 of file ReplayOutputStream.h.

## Constructor & Destructor Documentation

ReplayOutputStream::OutStreamTrigger::OutStreamTrigger | ( | ReplayOutputStream * | ptr | ) |
| inline

Definition at line 54 of file ReplayOutputStream.h.

54 : m_ptr( ptr ) {}
ReplayOutputStream::OutStreamTrigger::m_ptr
ReplayOutputStream * m_ptr
Definition: ReplayOutputStream.h:70

## Member Function Documentation

void ReplayOutputStream::OutStreamTrigger::operator() | ( | const std::string & | name | ) | const
| inline

Definition at line 55 of file ReplayOutputStream.h.

56 {
57 SmartIF<IAlgorithm>& alg = m_ptr->m_outputStreams[name];
58 if ( alg ) {
59 if ( !alg->isExecuted() ) {
60 alg->sysExecute( Gaudi::Hive::currentContext() );
61 } else {
62 m_ptr->warning() << name << " already executed for the current event" << endmsg;
63 }
64 } else {
65 m_ptr->warning() << "invalid OuputStream " << name << endmsg;
66 }
67 }
SmartIF< IAlgorithm >
Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:731
ReplayOutputStream::m_outputStreams
OutStreamsMapType m_outputStreams
Internal storage for the OutputStreams to call.
Definition: ReplayOutputStream.h:82
CommonMessagingBase::warning
MsgStream & warning() const
shortcut for the method msgStream(MSG::WARNING)
Definition: CommonMessaging.h:114
IAlgorithm::isExecuted
virtual bool isExecuted() const =0
check if the algorithm is already executed for the current event
IAlgorithm::sysExecute
virtual StatusCode sysExecute(const EventContext &)=0
System execution. This method invokes the execute() method of a concrete algorithm.
Gaudi::Hive::currentContext
GAUDI_API const EventContext & currentContext()
Definition: ThreadLocalContext.cpp:24
ReplayOutputStream::OutStreamTrigger::m_ptr
ReplayOutputStream * m_ptr
Definition: ReplayOutputStream.h:70
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

## Member Data Documentation

ReplayOutputStream* ReplayOutputStream::OutStreamTrigger::m_ptr
| private

Definition at line 70 of file ReplayOutputStream.h.

The documentation for this class was generated from the following file:

- GaudiMP/src/component/ReplayOutputStream.h